> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create List



## OpenAPI

````yaml ../list-openapi.json POST /list/{list_name}
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /list/{list_name}:
    post:
      description: Creates a new list with the specified name
      parameters:
        - name: list_name
          in: path
          description: Name of the list to create
          required: true
          schema:
            type: string
      requestBody:
        description: List information
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateListRequest'
        required: true
      responses:
        '200':
          description: List creation response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateListResponse'
              example:
                request_id: 83310a37-aec5-4aa5-8e1b-edf4916128ae
                message: List us_users created
                success: true
        '400':
          description: List already exists or invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateListError'
              example:
                message: List already exists.
                statusCode: 400
components:
  schemas:
    CreateListRequest:
      type: object
      properties:
        list_description:
          type: string
          description: Description of the list's purpose
    CreateListResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        message:
          type: string
          description: Success message
        success:
          type: boolean
          description: Whether the operation was successful
    CreateListError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````